/*
  Name: Academic Profile
  Date: August 2020
  description: >-
  Version: 1.0
  Author: Benedikt W. Harrer (based on Smashing HTML5 layout by Enrique Ramírez: http://enrique-ramirez.com)
*/

/* Imports */
@import url("reset.css");
@import url("global-forms.css");

/***** Global *****/

/* HTML5 tags */
header, section, footer,
aside, nav, article, figure {
  display: block;
}

/* gray separator lines */
hr.thin {
  height: 1px;
  border: 0;
  color: #333;
  background-color: #333;
  width: 100%;
  }

/* Body */
  body {
    color: #000305;
    font-size: 87.5%; /* Base font size: 14px */
    font-family: "Titillium Web", sans-serif;
    line-height: 1.429;
    margin: 0;
    padding: 0;
    text-align: left;
  }

.float {
  position:fixed;
  width:120px;
  height:40px;
  bottom:40px;
  right:40px;
  background-color:#000;
  color:#fff;
  border-radius:0px;
  text-align:center;
  font-size:110%;
  font-family: "Titillium Web", sans-serif;
  line-height:2.5;
  box-shadow:1px 1px 2px #999
  }
 
.float:hover {
  background-color:#fff;
  color:#000;
}
 
.float a:link, a:visited {
  color: #fff;
  padding: 0 1px;
  text-decoration: none;
}

.float:hover a:link, a:visited {
  color: #000;
  padding: 0 1px;
  text-decoration: none;
}

.float a:hover, a:active {
  background-color: #fff;
  color: #000;
  text-decoration: none;
}

/* Headings */
h2 {font-size: 1.571em} /* 22px */
h3 {font-size: 1.429em} /* 20px */
h4 {font-size: 1.286em} /* 18px */
h5 {font-size: 1.143em} /* 16px */
h6 {font-size: 1em} /* 14px */

h2, h3, h4, h5, h6 {
  font-weight: 400;
  line-height: 1.1;
  margin-bottom: .8em;
}

/* Anchors */
a {outline: 0;}
a img {border: 0px; text-decoration: none;}
a:link, a:visited {
  color: #808080;
  padding: 0 1px;
  text-decoration: underline;
}
a:hover, a:active {
  background-color: #FFFFFF;
  color: #000000;
  text-decoration: none;
}

/* Paragraphs */
p {margin-bottom: 1.143em;}
* p:last-child {margin-bottom: 0;}

strong, b {font-weight: bold;}
em, i {font-style: italic;}

::-moz-selection {background: #000; color: #fff;}
::selection {background: #000; color: #fff;}

/* Profile Picture */
.profilepic {
  margin:3em 0 3em 1em;
  display:flex;
  align-items:center;
  }

.aboutme {
  margin:3em 3em 3em 3em;
  }

.mypubs {
  margin:3em 3em 3em 3em;
  }
  
.mypubs a{outline: 0;}
.mypubs a img {border: 0px; text-decoration: none;}
.mypubs a:link, a:visited {
  color: #000;
  padding: 0 1px;
  text-decoration: none;
}
.mypubs a:hover, a:active {
  background-color: #fff;
  color: #808080;
  text-decoration: none;
}

.projects {
  margin:3em 3em 3em 3em;
  }

/* Lists */
ul {
  list-style: outside disc;
  margin: 1em 0 1.5em 1.5em;
}

ol {
  list-style: outside decimal;
  margin: 1em 0 1.5em 1.5em;
}

dl {margin: 0 0 1.5em 0;}
dt {font-weight: bold;}
dd {margin-left: 1.5em;}

/* Quotes */
blockquote {font-style: italic;}
cite {}

q {}

/* Tables */
table {margin: .5em auto 1.5em auto; width: 98%;}

  /* Thead */
  thead th {padding: .5em .4em; text-align: left;}
  thead td {}

  /* Tbody */
  tbody td {padding: .5em .4em;}
  tbody th {}

  tbody .alt td {}
  tbody .alt th {}

  /* Tfoot */
  tfoot th {}
  tfoot td {}

/***** Layout *****/
.body {clear: both; margin: 0 auto; width: 800px;}
img.right figure.right {float: right; margin: 0 0 2em 2em;}
img.left, figure.left {float: right; margin: 0 0 2em 2em;}


/*
  Header
*****************/
#banner {
  margin: 0 auto;
  padding: 2.5em 0 0 0;
}

  /* Banner */
  #banner h1 {
    font-size: 2.5em;
    line-height: .6;
    color: #000000;
    display: block;
    font-weight: bold;
    margin: 0 0 .6em .3em;
    text-decoration: none;
    width: 427px;
  }
  #banner h1 a:hover, #banner h1 a:active {
    background: none;
    color: #808080;
    text-shadow: none;
  }

  #banner h1 strong {font-size: 0.36em; font-weight: normal;}
  
   /* Main Nav */
  #banner nav {
    background: #ffffff;
    font-size: 1.143em;
    height: 40px;
    line-height: 30px;
    margin: 0 0 0 0;
    padding: 0;
    text-align: left;
    width: 800px;
  }

  #banner nav ul {list-style: none; margin: 0 0; width: 800px;}
  #banner nav li {float: left; display: inline; margin: 0;}

  #banner nav a:link, #banner nav a:visited {
    color: #A9A9A9;
    display: inline-block;
    height: 30px;
    padding: 5px 1em;
    text-decoration: none;
  }
  #banner nav a:hover, #banner nav a:active,
  #banner nav .active a:link, #banner nav .active a:visited {
    background: #FFFFFF;
    color: #000000;
    text-shadow: none !important;
  }
  
  /* Dropdown Button */
.dropbtn {
  background-color: #ffffff;
  color: white;
  padding: 16px;
  font-size: 16px;
  border: none;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #ffffff;
  min-width: 160px;
  box-shadow: 0px 2px 4px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #ffffff;}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {display: block;}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {background-color: #ffffff;}
  
/*
  Footer
*****************/
#contentinfo {font-size: .85em; padding-bottom: 2em; text-align: center;}
